/* NIBO2 C project */
#include <nibo/niboconfig.h>
#include <nibo/copro.h>
#include <nibo/delay.h>
#include <nibo/iodefs.h>
#include <nibo/bot.h>
#include <nibo/spi.h>
#include <avr/interrupt.h>
#include <stdio.h>
#include <nibo/leds.h>
#include <nibo/pwm.h>
#include <nibo/spi.h>

void Drehung(int Grad,int speed, int rechtsLinks) // Unterprogramm Drehen, Parameter 1 ist die gewünschte Gradzahl, Parameter 2 die Geschwindigkeit und Parameter 3 die Richtung
{
  switch(rechtsLinks) //
 {
    case 0:
        copro_setTargetRel(Grad/3,-Grad/3,speed);
        leds_set_status(LEDS_RED, 0);
   		delay(10);
        while((copro_ticks_l < Grad/3) && (copro_ticks_r > -Grad/3))
        {
        delay(10);
        copro_update();
      	}
        leds_set_status(LEDS_OFF, 0);
   		copro_resetOdometry(0, 0);
        break;
    case 1:
        copro_setTargetRel(-Grad/3,Grad/3,speed);
        leds_set_status(LEDS_RED, 1);
   		delay(10);
        while((copro_ticks_l > -Grad/3) && (copro_ticks_r < Grad/3))
        {
     	delay(10);
        copro_update();
      	}
        leds_set_status(LEDS_OFF, 1);
   		copro_resetOdometry(0, 0);
        break;
    default:
        break;
    	copro_resetOdometry(0, 0);
 }
}
 
  int main()
{
    sei();
    bot_init();
    spi_init();
    leds_init();
    pwm_init();
    
    while(1==1)
    {
     Drehung(180,15,1); //Drehen um 180 Grad, Geschwindigkeit 15, rechts
     delay(1000);
     Drehung(180,15,0); //Drehen um 180 Grad, Geschwindigkeit 15, links
     delay(1000);
    }
  return (0);
  }
